mutex File Reference

Go to the source code of this file.

## Classes

struct | std::adopt_lock_t
struct | std::defer_lock_t
class | std::lock_guard< _Mutex >
class | std::mutex
struct | std::once_flag
class | std::recursive_mutex
struct | std::try_to_lock_t
class | std::unique_lock< _Mutex >

## Namespaces

| std

## Macros

#define | _GLIBCXX_MUTEX

## Functions

template<typename _Callable >
void | std::__once_call_impl ()
void | std::__once_proxy (void)
template<typename _Lock >
unique_lock< _Lock > | std::__try_to_lock (_Lock &__l)
template<typename _Callable , typename... _Args>
void | std::call_once (once_flag &__once, _Callable &&__f, _Args &&... __args)
template<typename _L1 , typename _L2 , typename... _L3>
void | std::lock (_L1 &__l1, _L2 &__l2, _L3 &... __l3)
template<typename _Mutex >
void | std::swap (unique_lock< _Mutex > &__x, unique_lock< _Mutex > &__y) noexcept
template<typename _Lock1 , typename _Lock2 , typename... _Lock3>
int | std::try_lock (_Lock1 &__l1, _Lock2 &__l2, _Lock3 &... __l3)

## Variables

__thread void(* | std::__once_call )()
__thread void * | std::__once_callable
constexpr adopt_lock_t | std::adopt_lock
constexpr defer_lock_t | std::defer_lock
constexpr try_to_lock_t | std::try_to_lock

## Detailed Description

This is a Standard C++ Library header.

Definition in file mutex.